Looking for answers
Ask a question

What are the minimum requirements for the Apple Watch app to work?

The Apple Watch needs to be paired with an iPhone 5 or higher running an iOS 9 or higher operating system with the Apple Watch running on Watch OS 2 or above.